<?php

define('_CONSTANT_', 1); 

require_once '../../core/start.php';

checkAuth();

head('Банда', 'Банда');

if (empty($user['party'])) 
{
    error('Вы не состоите в банде', '/', 'На главную');
} 

$party = DB::$dbs->queryFetch("SELECT * FROM " . PARTY . " WHERE `id` = ?", [$user['party']]); 

$dungeon = DB::$dbs->queryFetch("SELECT * FROM " . DUNGEONS . " WHERE `id` = ?", [$party['dungeon_id']]);

if (empty($party)) 
{
    error('Возникла ошибка. Обратитесь к администратору.', '/', 'На главную');
} 

if (empty($dungeon)) 
{
    error('Возникла ошибка. Обратитесь к администратору.', '/', 'На главную');
}

?> 
<div class="headerImg"><img src="<?=HOME?>/img/dungeons/<?=$Filter->clearInt($dungeon['id'])?>/main.png" alt="[header-img]" width="350px"></div>
Вы состоите в банде, идущей в <?=$Filter->output($dungeon['name'])?>
<?php 
$dungeonFight = DB::$dbs->queryFetch("SELECT * FROM ". DUNGEON_FIGHT ." WHERE `id` = ?", [$user['fight_id']]);

$countTime = ($dungeonFight['time_start'] + 3600 > time() ? countTime(($dungeonFight['time_start'] + 3600) - time()) : 'Время вышло');

if ($user['party_access'] == 1) 
{
    if (isset($_GET['startFight']) && !empty($user['party']) && $user['dungeon_cooldown'] < time()) 
    {
        if ($user['dungeon_cooldown'] > time()) 
        {
            errorNoExit('Вы пока не можете пойти в подземелье');
        } 
        else if (!empty($dungeonFight) && $dungeonFight['time_start'] > time() - 3600) 
        {
            errorNoExit('Прошло уже больше часа с момента старта боя. Вы не можете продолжить бой в составе этой банды.');
        }
        else 
        {
            DB::$dbs->query("INSERT INTO " . DUNGEON_FIGHT . " (`npc_add`, `step`, `end`, `reward`,`time_start`) VALUES (?, ?, ?, ?, ?)", [0, 1, 0, 0, time()]);
            $last = DB::$dbs->lastInsertId();

            $all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM " . USERS . " WHERE `party` = ?", [$user['party']]);
            $n = new Navigator($all,5,'');
            $sql = DB::$dbs->query("SELECT * FROM " . USERS ." WHERE `party` = ? ORDER BY `id` DESC LIMIT {$n->start()}, 5", [$user['party']]);

            while ($ank = $sql -> fetch()) 
            {
                DB::$dbs->query("UPDATE " . USERS . " SET `fight_id` = ?, `dungeon_id` = ? WHERE `id` = ?", [$last, $dungeon['id'], $ank['id']]);
            }
        
            header("Location: " . HOME . "/modules/dungeons/" . $dungeon['id'] . "/index.php");
        }
    }
    ?> 
    Банда ожидает, когда ты начнешь бой.<br/>
    <a href="<?=HOME?>/modules/dungeons/party.php?startFight" class="link-touch">Начать бой</a>
    <?php
} 
else 
{
    ?> 
    Банда ожидает, когда лидер начнет бой.<br/>
    <?php
} 
?> 
<a href="<?=HOME?>/modules/dungeons/party.php" class="link-touch">Обновить</a>
<?=(!empty($dungeonFight) ? 'Осталось: ' . ico('clock.png') . $countTime. '<br/>' : null)?>
<div class="head">Состав</div>
<?php
$all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM " . USERS . " WHERE `party` = ?", [$user['party']]);
$n = new Navigator($all,5,'');
$sql = DB::$dbs->query("SELECT * FROM " . USERS ." WHERE `party` = ? ORDER BY `id` DESC LIMIT {$n->start()}, 5", [$user['party']]);

while ($profile = $sql -> fetch()) 
{
    ?> 
    <?=userLink($profile['id'], 'link-touch', ($profile['party_access'] == 1 ? 'Лидер' : NULL))?>
    <?php
} 

if (isset($_GET['leaveParty']) && !empty($user['party'])) 
{
    /*if ($user['party_access'] == 1 && $all > 1) 
    {
        $partyUsers = DB::$dbs->queryFetch("SELECT * FROM " . USERS ." WHERE `party` = ? ORDER BY `id`", [$user['party']]);
        DB::$dbs->query("UPDATE " . USERS . " SET `party_access` = ? WHERE `id` = ? ORDER BY RAND() LIMIT 1", [1, $partyUsers['id']]);
    }*/
    if ($all == 1) 
    {
        DB::$dbs->query("DELETE FROM " . PARTY . " WHERE `id` = ?", [$user['party']]);
    }
    DB::$dbs->query("UPDATE " . USERS . " SET `party` = ?, `party_access` = ? WHERE `id` = ?", [0, 0, $user['id']]);
    success('Вы покинули банду', '/', 'На главную');
}
?> 
<a href="<?=HOME?>/modules/dungeons/party.php?leaveParty" class="link-touch">Покинуть банду</a>

<?php

require_once '../../core/foot.php';